xmltooling 3.0.4

Public Member Functions | List of all members
xmltooling::CredentialResolver Class Referenceabstract

An API for resolving keys and certificates based on application criteria. More...

`#include <xmltooling/security/CredentialResolver.h>`

Inheritance diagram for xmltooling::CredentialResolver:
[legend]
Collaboration diagram for xmltooling::CredentialResolver:
[legend]

## Public Member Functions
virtual const Credential * | resolve (const CredentialCriteria *criteria=0) const =0
| Returns a single Credential according to the supplied criteria. More...
virtual std::vector< constCredential * >::size_type | resolve (std::vector< const Credential * > &results, const CredentialCriteria *criteria=0) const =0
| Returns all matching Credentials according to the supplied criteria. More...
Public Member Functions inherited from xmltooling::Lockable
virtual Lockable * | lock ()=0
| Lock the associated object for exclusive access. More...
virtual void | unlock ()=0
| Unlock the associated object from exclusive access. More...

## Detailed Description

An API for resolving keys and certificates based on application criteria.

## Member Function Documentation

## ◆ resolve() [1/2]

virtual const Credential * xmltooling::CredentialResolver::resolve | ( | const CredentialCriteria * | criteria = `0` | ) | const
| pure virtual

Returns a single Credential according to the supplied criteria.

Parameters

  criteria | an optional CredentialCriteria object

Returns
  a Credential, or nullptr if none could be found

## ◆ resolve() [2/2]

virtual std::vector< constCredential * >::size_type xmltooling::CredentialResolver::resolve | ( | std::vector< const Credential * > & | results,
|  | const CredentialCriteria * | criteria = `0`
| ) |  | const
| pure virtual

Returns all matching Credentials according to the supplied criteria.

Parameters

  results | array to store matching Credentials
  criteria | an optional CredentialCriteria object

Returns
  number of credentials found

The documentation for this class was generated from the following file:

- xmltooling/security/CredentialResolver.h